CVE-2019-1711

A vulnerability in the Event Management Service daemon (emsd) of Cisco IOS XR Software could allow an unauthenticated, remote attacker to cause a denial of service (DoS) condition on an affected device. The vulnerability is due to improper handling of gRPC requests. An attacker could exploit this vulnerability by repeatedly sending unauthenticated gRPC requests to the affected device. A successful exploit could cause the emsd process to crash, resulting in a DoS condition. Resolved in Cisco IOS XR 6.5.1 and later.

Published : 2019-04-17 22:29 Updated : 2019-04-23 13:19

5.0
CVSS Score More info
Score 5.0 / 10
5.0
Vendor Product Version URI
Cisco Ios Xr 6.1.0 cpe:/o:cisco:ios_xr:6.1.0
Cisco Ios Xr 6.1.1 cpe:/o:cisco:ios_xr:6.1.1
Cisco Ios Xr 6.2.1 cpe:/o:cisco:ios_xr:6.2.1
Cisco Ios Xr 6.4.1_base cpe:/o:cisco:ios_xr:6.4.1_base
  1. Cisco (1) Search CVE
    1. Ios Xr (4) Search CVE
      1. 6.1.0
      2. 6.1.1
      3. 6.2.1
      4. 6.4.1_base

CWE

ID Name Description Links
CWE-20 Improper Input Validation The product does not validate or incorrectly validates input that can affect the control flow or data flow of a program. CVE

History of changes

Date Event
2019-04-23 13:19
2019-04-22 13:29
2019-04-18 17:18
2019-04-17 22:29

New CVE